VERSION 5.00
Begin VB.Form frmSpellChecker 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Check Spelling"
   ClientHeight    =   3840
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   Icon            =   "frmSpellChecker.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   Moveable        =   0   'False
   ScaleHeight     =   3840
   ScaleWidth      =   4680
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "&Exit"
      Height          =   375
      Left            =   360
      TabIndex        =   2
      Top             =   3000
      Width           =   3855
   End
   Begin VB.CommandButton cmdCheck 
      Caption         =   "&Check Spelling"
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   2520
      Width           =   3855
   End
   Begin VB.TextBox Text1 
      Height          =   1935
      Left            =   360
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   240
      Width           =   3855
   End
End
Attribute VB_Name = "frmSpellChecker"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim SpellCheck As Object
Public NewText As String

Private Sub cmdCheck_Click()
Dim Textbox As String
Dim msg As String
 If Text1.Text <> "" Then
  msg = "Spell Checker requires that you have Microsoft WORD 97 or later installed on your system."
  msg = msg + Chr(13) + ""
  msg = msg + "Running Spell Checker on a system without WORD could result in unpredictable behaviour."
  msg = msg + Chr(13)
  msg = msg + Chr(13) + "If you are running Spell Checker for the first time"
  msg = msg + " or if you DO NOT have WORD"
  msg = msg + Chr(13) + "installed on your system it is recommended that you Save your report "
  msg = msg + "before you continue."
  msg = msg + Chr(13)
  msg = msg + Chr(13) + Space(33) + "Are You Sure You Want To Continue?"

   If MsgBox(msg, vbYesNo + vbInformation, "School Report Card Spell Checker") = vbYes Then
    Textbox = Text1.Text                       'Assign Contens Of TextBox To Variable "TextBox"
    SpellChecker (Textbox)                     'Call SpellChecking Function ~ Transfer variable
    Text1.Text = NewText                       'Ammend Textbox To Resulting Text From Function
    MsgBox "Spell Check Completed", vbOKOnly + vbInformation, "School Report Card Spell Checker"
   End If
 End If

End Sub

Private Sub cmdExit_Click()
 End
End Sub

Public Function SpellChecker(Textbox As String) As String
On Error GoTo Errorhandler
 
 Set SpellCheck = CreateObject("Word.Application")      'Set Up Reference To WORD
  SpellCheck.Visible = False                            'Hide WORD From User
  SpellCheck.Documents.Add                              'Open New Document (Hidden)
  Clipboard.Clear
  Clipboard.SetText Text1.Text                          'Copy Text To Clipboard
  SpellCheck.Selection.Paste                            'Paste Text Into WORD
  SpellCheck.ActiveDocument.CheckSpelling               'Activate The Spell Checker
  SpellCheck.Visible = False                            'Hide WORD From User
  SpellCheck.ActiveDocument.Select                      'Select The Corrected Text
  SpellCheck.Selection.Cut                              'Cut The Text To Clipboard
  SpellChecker = Clipboard.GetText                      'Assign Text To SPELLCHECKER Function
  SpellCheck.ActiveDocument.Close SaveChanges:= _
   wdDoNotSaveChanges                                   'Close & DO NOT Save Changes
  SpellCheck.Quit                                       'Quit
 Set SpellCheck = Nothing                               'Release Reference
 
  NewText = SpellChecker                                'Transfer Spell Checker Results
 

Exit Function    'Exit To Avoid ErrorHandler.

Errorhandler:
  SpellCheck.ActiveDocument.Close SaveChanges:= _
   wdDoNotSaveChanges                                   'Close & DO NOT Save Changes
  SpellCheck.Quit                                       'Quit
 Set SpellCheck = Nothing
 
 MsgBox "Error: " & Err.Number & "  " & Err.Description, vbExclamation, "School Report Card Spell Check Error"

End Function


